Callisto4Bootloader: Data Fields

Callisto4Bootloader

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - c -

- C : APSR_Type , xPSR_Type
- CACR : SCB_Type
- CACRR : CCM_Type
- CAL : ADC_Type
- CALIB : SysTick_Type
- CAPABILITY0 : DCP_Type
- CAPABILITY1 : DCP_Type
- CAPLENGTH : USB_Type
- CAPT : TMR_Type
- CAPTCOMPA : PWM_Type
- CAPTCOMPB : PWM_Type
- CAPTCOMPX : PWM_Type
- CAPTCTRLA : PWM_Type
- CAPTCTRLB : PWM_Type
- CAPTCTRLX : PWM_Type
- CBCDR : CCM_Type
- CBCMR : CCM_Type
- CBT : CAN_Type
- CCGR0 : CCM_Type
- CCGR1 : CCM_Type
- CCGR2 : CCM_Type
- CCGR3 : CCM_Type
- CCGR4 : CCM_Type
- CCGR5 : CCM_Type
- CCGR6 : CCM_Type
- CCGR7 : CCM_Type
- CCOSR : CCM_Type
- CCR : CCM_Type , LPSPI_Type , SCB_Type
- CCSIDR : SCB_Type
- CCSR : CCM_Type
- CDCDR : CCM_Type
- CDHIPR : CCM_Type
- CDNE : DMA_Type
- CEEI : DMA_Type
- CERQ : DMA_Type
- CERR : DMA_Type
- CFG : ADC_Type
- CFG0 : OCOTP_Type
- CFG1 : OCOTP_Type
- CFG2 : OCOTP_Type
- CFG3 : OCOTP_Type
- CFG4 : OCOTP_Type
- CFG5 : OCOTP_Type
- CFG6 : OCOTP_Type
- cfgCmdArgs : FlexSPI_Header_t
- CFGR0 : LPSPI_Type
- CFGR1 : LPSPI_Type
- CFSR : SCB_Type
- CGPR : CCM_Type
- CH0CMDPTR : DCP_Type
- CH0OPTS : DCP_Type
- CH0OPTS_CLR : DCP_Type
- CH0OPTS_SET : DCP_Type
- CH0OPTS_TOG : DCP_Type
- CH0SEMA : DCP_Type
- CH0STAT : DCP_Type
- CH0STAT_CLR : DCP_Type
- CH0STAT_SET : DCP_Type
- CH0STAT_TOG : DCP_Type
- CH1CMDPTR : DCP_Type
- CH1OPTS : DCP_Type
- CH1OPTS_CLR : DCP_Type
- CH1OPTS_SET : DCP_Type
- CH1OPTS_TOG : DCP_Type
- CH1SEMA : DCP_Type
- CH1STAT : DCP_Type
- CH1STAT_CLR : DCP_Type
- CH1STAT_SET : DCP_Type
- CH1STAT_TOG : DCP_Type
- CH2CMDPTR : DCP_Type
- CH2OPTS : DCP_Type
- CH2OPTS_CLR : DCP_Type
- CH2OPTS_SET : DCP_Type
- CH2OPTS_TOG : DCP_Type
- CH2SEMA : DCP_Type
- CH2STAT : DCP_Type
- CH2STAT_CLR : DCP_Type
- CH2STAT_SET : DCP_Type
- CH2STAT_TOG : DCP_Type
- CH3CMDPTR : DCP_Type
- CH3OPTS : DCP_Type
- CH3OPTS_CLR : DCP_Type
- CH3OPTS_SET : DCP_Type
- CH3OPTS_TOG : DCP_Type
- CH3SEMA : DCP_Type
- CH3STAT : DCP_Type
- CH3STAT_CLR : DCP_Type
- CH3STAT_SET : DCP_Type
- CH3STAT_TOG : DCP_Type
- CHANNEL : ENET_Type , PIT_Type , TMR_Type
- CHANNELCTRL : DCP_Type
- CHANNELCTRL_CLR : DCP_Type
- CHANNELCTRL_SET : DCP_Type
- CHANNELCTRL_TOG : DCP_Type
- CHCFG : DMAMUX_Type
- CHRG_DETECT : USB_ANALOG_Type
- CHRG_DETECT_CLR : USB_ANALOG_Type
- CHRG_DETECT_SET : USB_ANALOG_Type
- CHRG_DETECT_STAT : USB_ANALOG_Type
- CHRG_DETECT_TOG : USB_ANALOG_Type
- CID0 : ITM_Type
- CID1 : ITM_Type
- CID2 : ITM_Type
- CID3 : ITM_Type
- CIMR : CCM_Type
- CINT : DMA_Type
- CISR : CCM_Type
- CITER_ELINKNO : DMA_Type
- CITER_ELINKYES : DMA_Type
- CLAIMCLR : TPI_Type
- CLAIMSET : TPI_Type
- clear_cache : flexspi_nor_driver_interface_t
- CLIDR : SCB_Type
- CLK_TUNE_CTRL_STATUS : USDHC_Type
- CLKCTRL : EWM_Type
- CLKPRESCALER : EWM_Type
- CLOCK_ControlGate : clock_driver_interface_t
- CLOCK_DeinitArmPll : clock_driver_interface_t
- CLOCK_DeinitAudioPll : clock_driver_interface_t
- CLOCK_DeinitEnetPll : clock_driver_interface_t
- CLOCK_DeinitExternalClk : clock_driver_interface_t
- CLOCK_DeinitRcOsc24M : clock_driver_interface_t
- CLOCK_DeinitSysPfd : clock_driver_interface_t
- CLOCK_DeinitSysPll : clock_driver_interface_t
- CLOCK_DeinitUsb1Pfd : clock_driver_interface_t
- CLOCK_DeinitUsb1Pll : clock_driver_interface_t
- CLOCK_DeinitUsb2Pll : clock_driver_interface_t
- CLOCK_DeinitVideoPll : clock_driver_interface_t
- CLOCK_DisableClock : clock_driver_interface_t
- CLOCK_DisableUsbhs0PhyPllClock : clock_driver_interface_t
- CLOCK_DisableUsbhs1PhyPllClock : clock_driver_interface_t
- CLOCK_EnableClock : clock_driver_interface_t
- CLOCK_EnableUsbhs0Clock : clock_driver_interface_t
- CLOCK_EnableUsbhs0PhyPllClock : clock_driver_interface_t
- CLOCK_EnableUsbhs1Clock : clock_driver_interface_t
- CLOCK_EnableUsbhs1PhyPllClock : clock_driver_interface_t
- CLOCK_GetCpuClkFreq : clock_driver_interface_t
- CLOCK_GetDiv : clock_driver_interface_t
- CLOCK_GetFreq : clock_driver_interface_t
- CLOCK_GetMux : clock_driver_interface_t
- CLOCK_GetPllFreq : clock_driver_interface_t
- CLOCK_GetRtcFreq : clock_driver_interface_t
- CLOCK_GetSysPfdFreq : clock_driver_interface_t
- CLOCK_GetUsb1PfdFreq : clock_driver_interface_t
- CLOCK_InitArmPll : clock_driver_interface_t
- CLOCK_InitAudioPll : clock_driver_interface_t
- CLOCK_InitEnetPll : clock_driver_interface_t
- CLOCK_InitExternalClk : clock_driver_interface_t
- CLOCK_InitRcOsc24M : clock_driver_interface_t
- CLOCK_InitSysPfd : clock_driver_interface_t
- CLOCK_InitSysPll : clock_driver_interface_t
- CLOCK_InitUsb1Pfd : clock_driver_interface_t
- CLOCK_InitUsb1Pll : clock_driver_interface_t
- CLOCK_InitUsb2Pll : clock_driver_interface_t
- CLOCK_InitVideoPll : clock_driver_interface_t
- CLOCK_SetDiv : clock_driver_interface_t
- CLOCK_SetMode : clock_driver_interface_t
- CLOCK_SetMux : clock_driver_interface_t
- CLOCK_SetPllBypass : clock_driver_interface_t
- CLOCK_SetRtcXtalFreq : clock_driver_interface_t
- CLOCK_SetXtalFreq : clock_driver_interface_t
- CLOCK_SwitchOsc : clock_driver_interface_t
- clockDriver : bootloader_api_entry_t
- clockSource : _rtwdog_config
- CLPCR : CCM_Type
- CMD_ARG : USDHC_Type
- cmd_pads : _serial_nor_config_option
- CMD_RSP0 : USDHC_Type
- CMD_RSP1 : USDHC_Type
- CMD_RSP2 : USDHC_Type
- CMD_RSP3 : USDHC_Type
- CMD_XFR_TYP : USDHC_Type
- CMEOR : CCM_Type
- CMPH : EWM_Type
- CMPL : EWM_Type
- CMPLD1 : TMR_Type
- CMPLD2 : TMR_Type
- CNT : GPT_Type , PWM_Type , RTWDOG_Type
- CNTR : GPC_Type , TMR_Type
- columnAddressWidth : _FlexSPIConfig
- columnAdressWidth : FlexSPI_Header_t
- commandInterval : _FlexSPIConfig , FlexSPI_Header_t
- COMP0 : DWT_Type
- COMP1 : DWT_Type , TMR_Type
- COMP10 : DWT_Type
- COMP11 : DWT_Type
- COMP12 : DWT_Type
- COMP13 : DWT_Type
- COMP14 : DWT_Type
- COMP15 : DWT_Type
- COMP2 : DWT_Type , TMR_Type
- COMP3 : DWT_Type
- COMP4 : DWT_Type
- COMP5 : DWT_Type
- COMP6 : DWT_Type
- COMP7 : DWT_Type
- COMP8 : DWT_Type
- COMP9 : DWT_Type
- configCmdArgs : _FlexSPIConfig
- configCmdEnable : _FlexSPIConfig , FlexSPI_Header_t
- configCmdSeqs : _FlexSPIConfig , FlexSPI_Header_t
- CONFIGFLAG : USB_Type
- configModeType : _FlexSPIConfig
- CONTEXT : DCP_Type
- controllerMiscOption : _FlexSPIConfig , FlexSPI_Header_t
- copyright : bootloader_api_entry_t
- core0DbgRst : c4_SRC_reg_t
- core0Rst : c4_SRC_reg_t
- CPACR : SCB_Type
- CPICNT : DWT_Type
- CPPWR : SCnSCB_Type
- CPU_CTRL : PGC_Type
- CPU_PDNSCR : PGC_Type
- CPU_PUPSCR : PGC_Type
- CPU_SR : PGC_Type
- CPUID : SCB_Type
- CR : DMA_Type , GPT_Type , LPSPI_Type
- CR0 : CMP_Type
- CR1 : CMP_Type
- CRC_ADDR : OCOTP_Type
- CRC_STAT : LCDIF_Type
- CRC_VALUE : OCOTP_Type
- CRCR : CAN_Type
- CS : CAN_Type , RTWDOG_Type
- CS1CDR : CCM_Type
- CS2CDR : CCM_Type
- CSC1_COEF0 : PXP_Type
- CSC1_COEF1 : PXP_Type
- CSC1_COEF2 : PXP_Type
- CSCDR1 : CCM_Type
- CSCDR2 : CCM_Type
- CSCDR3 : CCM_Type
- CSCMR1 : CCM_Type
- CSCMR2 : CCM_Type
- CSCTRL : TMR_Type
- csf : IVT_t
- csHoldTime : _FlexSPIConfig , FlexSPI_Header_t
- CSICR1 : CSI_Type
- CSICR18 : CSI_Type
- CSICR19 : CSI_Type
- CSICR2 : CSI_Type
- CSICR3 : CSI_Type
- CSIDMASA_FB1 : CSI_Type
- CSIDMASA_FB2 : CSI_Type
- CSIDMASA_STATFIFO : CSI_Type
- CSIDMATS_STATFIFO : CSI_Type
- CSIFBUF_PARA : CSI_Type
- CSIIMAG_PARA : CSI_Type
- CSIRFIFO : CSI_Type
- CSIRXCNT : CSI_Type
- CSISR : CSI_Type
- CSISTATFIFO : CSI_Type
- CSL : CSU_Type
- csPadSettingOverride : _FlexSPIConfig , FlexSPI_Header_t
- CSPSR : TPI_Type
- CSR : CCM_Type , DMA_Type
- CSSELR : SCB_Type
- csSetupTime : _FlexSPIConfig , FlexSPI_Header_t
- csuResetB : c4_SRC_reg_t
- CTR : SCB_Type
- CTR_NONCE0_W0 : BEE_Type
- CTR_NONCE0_W1 : BEE_Type
- CTR_NONCE0_W2 : BEE_Type
- CTR_NONCE0_W3 : BEE_Type
- CTR_NONCE1_W0 : BEE_Type
- CTR_NONCE1_W1 : BEE_Type
- CTR_NONCE1_W2 : BEE_Type
- CTR_NONCE1_W3 : BEE_Type
- CTRL : ADC_ETC_Type , BEE_Type , DCP_Type , DWT_Type , ENC_Type , EWM_Type , FLEXIO_Type , LCDIF_Type , LPUART_Type , OCOTP_Type , PWM_Type , PXP_Type , SysTick_Type , TMR_Type , USBPHY_Type
- CTRL0 : XBARA_Type
- CTRL1 : CAN_Type , LCDIF_Type , XBARA_Type
- CTRL1_CLR : LCDIF_Type
- CTRL1_SET : LCDIF_Type
- CTRL1_TOG : LCDIF_Type
- CTRL2 : CAN_Type , ENC_Type , LCDIF_Type , PWM_Type
- CTRL2_CLR : LCDIF_Type
- CTRL2_SET : LCDIF_Type
- CTRL2_TOG : LCDIF_Type
- CTRL_CLR : DCP_Type , LCDIF_Type , OCOTP_Type , PXP_Type , USBPHY_Type
- CTRL_SET : DCP_Type , LCDIF_Type , OCOTP_Type , PXP_Type , USBPHY_Type
- CTRL_TOG : DCP_Type , LCDIF_Type , OCOTP_Type , PXP_Type , USBPHY_Type
- CUR_BUF : LCDIF_Type
- current_mode : flash_run_context_t
- CV : ADC_Type
- CVAL : PIT_Type
- CVAL0 : PWM_Type
- CVAL0CYC : PWM_Type
- CVAL1 : PWM_Type
- CVAL1CYC : PWM_Type
- CVAL2 : PWM_Type
- CVAL2CYC : PWM_Type
- CVAL3 : PWM_Type
- CVAL3CYC : PWM_Type
- CVAL4 : PWM_Type
- CVAL4CYC : PWM_Type
- CVAL5 : PWM_Type
- CVAL5CYC : PWM_Type
- CYCCNT : DWT_Type